const socket = {};
const Net = require('net');

socket.initConection = function(port, host) {

    socket.client = Net.Socket();

    return new Promise(function(resolve, reject) {

        socket.client.connect({ port: port, host: host }, function () {

            resolve();
        });
    });
};

socket.getTank = function(code) {

    //caracter necesario
    var soh = String.fromCharCode(01);
    var respuesta = '';

    socket.client.write(soh + code);


    return new Promise(function(resolve, reject) {

        socket.client.on('data', function(chunk) {

            var data = chunk.toString('utf8');

            respuesta += data;

            if (respuesta[respuesta.length - 1].charCodeAt(0) == 3) {
                resolve(respuesta);
            }
        });
    });
};

socket.end = function() {
    socket.client.end();
};

module.exports = socket;
